body > header {
	background-image:linear-gradient(to bottom,var(--color-light-glass) 0, rgb(255 255 255 / 0) 100%);
    transition:var(--transition);
}
html.open body > header {
    background:none;
}
body > header > div {
    margin:0 var(--padding);
    padding: calc(var(--padding) / 1.5) 0;
    border-bottom:solid 1px var(--color-black);
}
body > header h1 {
	width:330px;
    line-height:1;
}
body > header h1::before {
    content:'';
    width:100%;
    height:100%;
    position:absolute;
    top:0;
    left:0;
    background:url(../_img/title_white.svg) center / contain no-repeat;
    transition:var(--transition);
    opacity:0;
}
body > header h1 a {
    display:flex;
    align-items: center;
}
body > header h1 img {
    margin:0;
}

@media (max-width: 920px) {
    body > header div:has(> details) {
        display:flex;
        justify-content: flex-end;
    }
}
@media (max-width: 520px) {
    body > header h1 {
	    width:240px;
    }
}
